#include "config.h"
#include "ggap/app.h"
#include "ggap/dialogs.h"
#include "ggap/wswindow.h"
#include "ggap/worksheet.h"
#include "ggap/prefs.h"
#include "ui_about.h"
#include "moo/utils.h"
#include "moo/document.h"
#include <QtGui>

using namespace ggap;

static QPointer<AboutDialog> about_dialog_instance;

AboutDialog::AboutDialog(QWidget *parent) :
    NiceDialog(parent)
{
    Ui::AboutDialog ui;
    ui.setupUi(this);
    ui.labelVersion->setText("Version " GGAP_VERSION);
    ui.viewCredits->setPlainText(moo::util::getFileText(":/THANKS"));
}

AboutDialog::~AboutDialog()
{
}

void AboutDialog::showDialog()
{
    NiceDialog::showDialog(about_dialog_instance, 0);
}

